DRUO
Get started
Connect Links

Expire Connect Link

PUThttps://api.druo.com/connect/link/{connect_link_uuid}/expire

Expires an active Connect Link.

Sets the 'expired' property of a given Connect Link to true, preventing users from accessing the link.

Path parameters

Response

uuidstringoptional

The Connect Link's UUID.

Example: clk_aee571f2-cdf0-4fad-8abb-74fcb8b83f20
codestringoptional

The Connect Link's code.

Example: CLR33JXMNXU
urlstringoptional

The URL that the user should be sent to to connect their account.

Example: https://link.druo.com/connect/secure?sl=fd6f7577c
expiredbooleanoptional

If true, the link has expired.

Example: false
background_colorstringoptional

The HEX code for the link's background color.

Example: #333333
button_colorstringoptional

The HEX code for the link's button color.

Example: #ffffff
button_text_colorstringoptional

The HEX code for the link's button text color.

Example: #000000

The HEX code for the content box text color.

Example: #333333

The HEX code for the content background text color.

Example: #eaeaea
intro_textstringoptional

Key-value pairs for the intro text in each language. The text in all options must include the merchant name (as registered in the business profile) as well as 'DRUO'.

delivery_statusstringoptional

The Connect Link's delivery status.

Example: CREATED
end_userEndUserCustomeroptional

Information about the end user.

default_institutionstringoptional

The Connect Link's default institution.

primary_referencestringoptional

The Connect Link's primary reference. Can be any value to associate the connected account to an entity in an external system.

Example: 23423524
secondary_referencestringoptional

The Connect Link's secondary reference. Can be any value to associate the connected account to an entity in an external system.

Example: bj39fhow39fhqp3f0hfae4344
default_languagestringoptional

The language code to display this link in. If left blank, the system will default to English.

Possible values:es_COen_US
redirect_urlstringoptional

The URL to redirect to after the connection flow is completed. Reference, Status, and Connected Account Code will be appended as URL parameters.

Example: https://example.com
expiration_datestringoptional

The expiration date for this Connect Link in GMT time. If set, the user will be presented with an error upon opening the link.

Example: 2021-11-16T23:23:38

If true, the user will be taken directly to the redirect URL without showing the DRUO redirect page.

Example: false
metadataobjectoptional

Set of key-value pairs that you can attach to an object. You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long.

Example: {"order_id": "6735"}
date_created_gmtstringoptional

The creation date of the account in GMT.

Example: 2021-11-15T23:23:38Z
date_updated_gmtstringoptional

The update date of the account in GMT.

Example: 2021-11-15T23:23:38Z
NextPOSTConnect Account